= nng_http_res_free(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_res_free - free HTTP response structure

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

void nng_http_res_free(nng_http_res *req);
----

== DESCRIPTION

The `nng_http_res_free()` function deallocates the HTTP response structure
_res_ entirely.

TIP: Instead of freeing and reallocating response structures, it is possible
to reuse _res_ with xref:nng_http_res_reset.3http.adoc[`nng_http_res_reset()`].

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_res_alloc.3http.adoc[nng_http_res_alloc(3http)],
xref:nng_http_res_reset.3http.adoc[nng_http_res_reset(3http)],
xref:nng.7.adoc[nng(7)]
